# ParameterOutput File Reference

`#include <osgDB/Output>`

Include dependency graph for ParameterOutput:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgDB

## Defines

#define | OSGDB_PARAMETEROUTPUT 1

## Functions

template<class Iterator>
void | writeArray (Output &fw, Iterator first, Iterator last, int noItemsPerLine=0)
template<class Iterator>
void | writeArrayAsInts (Output &fw, Iterator first, Iterator last, int noItemsPerLine=0)

## Define Documentation

#define OSGDB_PARAMETEROUTPUT 1

## Function Documentation

template<class Iterator>
void writeArray | ( | Output & | fw,
|  | Iterator | first,
|  | Iterator | last,
|  | int | noItemsPerLine = `0`
| ) |

template<class Iterator>
void writeArrayAsInts | ( | Output & | fw,
|  | Iterator | first,
|  | Iterator | last,
|  | int | noItemsPerLine = `0`
| ) |